import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = ["https://gist.githubusercontent.com/Bhanuteja-1807/47ea186e014af26548aff97c8eb9ad4f/raw/cff7f9d8e11fd74f51fa5074938ad274cb8389ee/Iris.csv"
];
const parseRow = (d) => {
  d.SepalLengthCm = +d.SepalLengthCm;
  d.SepalWidthCm = +d.SepalWidthCm;
  d.PetalLengthCm = +d.PetalLengthCm;
  d.PetalWidthCm = +d.PetalWidthCm;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.PetalWidthCm)
      .yValue((d) => d.SepalLengthCm)
      .symbolValue((d) => d.Species)
      .margin({
        top: 20,
        right: 20,
        bottom: 40,
        left: 50,
      })
      .size(100)
  );
};
main();
